# ItemService

Example usage:

```lua
-- Randomly spawn resources around the map
while task.wait(0.2) do
    local position = BlockService.getAboveRandomBlock()
    ItemService.dropItem(ItemType.EMERALD, position)
end
```

### Functions

#### dropItem(itemType: [ItemType](/scripting/bedwars-scripting/types/itemtype.md), position: [**Vector3**](https://create.roblox.com/docs/reference/engine/datatypes/Vector3), amount: bool | nil)

Drop an item at a location. If you supply an amount that will be the item stack size.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/services/itemservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
